import request from '@/utils/request'

export function getList(data) {
  return request({
    url: 'api/ctBuyer/list',
    method: 'post',
    data
  })
}

export function getVpnList(data){
  return request({
    url:'api/ctVpn/list',
    method:'post',
    data
  })
}

export function getCardList(data){
  return request({
    url:'api/ctCard/list',
    method:'post',
    data
  })
}

export function add(data) {
  return request({
    url: 'api/ctBuyer/add',
    method: 'post',
    data
  })
}

export function delById(data) {
  return request({
    url: 'api/ctBuyer/delete',
    method: 'post',
    data
  })
}

export function editById(data) {
  return request({
    url: 'api/ctBuyer/edit',
    method: 'post',
    data
  })
}

export function getById(data) {
  return request({
    url: 'api/ctBuyer/getById',
    method: 'post',
    data
  })
}


export function getBuyerById(data) {
  return request({
    url: 'api/ctBuyer/getBuyerById',
    method: 'post',
    data
  })
}
